import 'dart:io';

import 'package:comunic/forez/helpers/forez_group_helper.dart';
import 'package:comunic/forez/tour/forez_tour_builder.dart';
import 'package:comunic/forez/ui/routes/forez_route.dart';
import 'package:comunic/main.dart';
import 'package:comunic/models/config.dart';
import 'package:comunic/utils/intl_utils.dart';
import 'package:flutter/material.dart';

/// Forez development configuration
///
/// @author Pierre Hubert

/// Fix HTTPS issue
class MyHttpOverride extends HttpOverrides {
  @override
  HttpClient createHttpClient(SecurityContext context) {
    return super.createHttpClient(context)
      ..badCertificateCallback = (cert, host, port) {
        return host == "devweb.local"; // Forcefully trust local website
      };
  }
}

void main() {
  Config.set(Config(
    apiServerName: "192.168.1.9:3000",
    apiServerUri: "/",
    apiServerSecure: false,
    clientName: "ForezFlutter",
    splashBackgroundColor: Colors.green.shade900,
    primaryColor: Colors.green,
    primaryColorDark: Colors.green.shade900,
    appName: "#Forez",
    appQuickDescription: tr("Events organisation in Forez plain"),
    unreadConversationColor: Colors.green.shade900,
    defaultConversationColor: Colors.green.shade900,
    toursEntriesBuilder: buildTour,
    additionalLoading: () => ForezGroupHelper.refreshInfo(),
    mainRouteBuilder: (c, k) => ForezRoute(key: k),
  ));

  HttpOverrides.global = new MyHttpOverride();

  subMain();
}
